/mail/instances (POST)
POST
/mail/instances
const url = 'https://example.com/api/v1/mail/instances';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"catalogServiceId":"example","serverId":"example","hostname":"example","adminSecret":"example","storeBackend":"managed_pg","metadataDbId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/mail/instances \ --header 'Content-Type: application/json' \ --data '{ "catalogServiceId": "example", "serverId": "example", "hostname": "example", "adminSecret": "example", "storeBackend": "managed_pg", "metadataDbId": "example" }'Request Body required
Section titled “Request Body required ”Responses
Section titled “ Responses ”Default Response
Media type application/json
object
Example generated
{ "id": "example", "catalogServiceId": "example", "serverId": "example", "hostname": "example", "storeBackend": "example", "status": "example", "port25Egress": "example", "ptrOk": true, "createdAt": "example"}Default Response
Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{ "type": "example", "title": "example", "status": 1, "code": "example", "detail": "example", "instance": "example", "errors": [ { "path": "example", "message": "example" } ]}